%global __requires_exclude ^perl\\(lib\\)$

Summary:        Replace functions with ones that succeed or die
Name:           perl-autodie
Version:        2.36
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/autodie
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/autodie-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-interpreter
BuildRequires:  perl-generators perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(B) perl(Carp) perl(Config) perl(constant)
BuildRequires:  perl(Fcntl) perl(Exporter) >= 5.57 
%if !%{defined perl_bootstrap}
BuildRequires:  perl(IPC::System::Simple) >= 0.12
%endif
BuildRequires:  perl(overload) perl(parent) perl(POSIX)
BuildRequires:  perl(Scalar::Util) perl(Tie::RefHash)
BuildRequires:  perl(File::Copy) perl(File::Spec) perl(if)
BuildRequires:  perl(File::Temp) perl(FindBin) perl(lib) perl(open)
BuildRequires:  perl(IO::Handle)  perl(Socket) perl(Test::More)
Requires:       perl(B) perl(Fcntl) perl(POSIX)       
%if !%{defined perl_bootstrap}
Requires:  perl(IPC::System::Simple) >= 0.12
%endif

BuildArch:      noarch

%description
The autodie pragma provides a convenient way to replace functions that normally 
return false on failure with equivalents that throw an exception on failure.
The autodie pragma has lexical scope, meaning that functions and subroutines 
altered with autodie will only change their behaviour until the end of the 
enclosing block, file, or eval.If system is specified as an argument to autodie, 
then it uses IPC::System::Simple to do the heavy lifting. 

%prep
%autosetup -n autodie-%{version}
find -type f -exec chmod -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc AUTHORS Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.36-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.36-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.36-1
- Upgrade to upstream version 2.36
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.34-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.34-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Wang Zhe <bessiewang@tencent.com> - 2.34-1
- initial build
